(function(){
    window.bazingaApp.views.splashView = window.bazingaApp.views.appView.extend({
        ref : 'splash.html',
        
        loaded: function(){

            // Checks for the language
            languageSetting();

            // Google Analytics
            var gaConsole = true;

            function gaConsoleMsg(msg){
                if (gaConsole){
                    window.console && console.log(msg);
                }
            }

            function sendAnswer(eCat, eAct, eLabel){
                // check truthys
                if( eCat && eAct && eLabel){
                    // type conversion for data hygiene, possibly too simplistic
                    var a = String(eCat),
                        b = String(eAct),
                        c = String(eLabel);

                    gaConsoleMsg("Sending event: " + a + " | " + b + " | " + c  );

                    ga('send', 'event', {
                        'eventCategory': a,
                        'eventAction': b,
                        'eventLabel': c,
                        'dimension3': getTimeStamp(), //get new timestamp as event happens
                        'hitCallback' : function(){
                            gaConsoleMsg("GA Event received " + b)
                        }
                    });
                }
            }

            $('.language-selection .button').on('touchend click', function(e){
                var q = $(this).attr('name');
                a = $(this).attr('data-language');

                sendAnswer('Preference', q, a); // Send 'Language' as Event Category "Preference"
            })


        }
    });

    window.pageIntialized= false;
    $(document).ready(function(){
        window.bazingaApp.splashView = new  window.bazingaApp.views.splashView ();
        window.bazingaApp.splashView.load();
        //dont put js scripts in here . use the pageview.loaded function to start initializing page level functionalities
    });
}());
