(function() {
    window.bazingaApp.views.abstractModuleView = window.bazingaApp.views.appView.extend({
        currentTime1: 0,
        currentTime2: 0,
        oneTwo: 0,
        beforeAbstractLoad: function() {
            var self = this;

            populateText();

            if ($("video").length >= 1) {
                var player = videojs('v-player', { "fluid": true }, function() {});
                setInterval(checkVideo, 500);

                //auto show subtitles

                var lang = window.bazingaApp.models.api.getCourseData();
                console.log(lang);
                $("track[srclang='" + "en" + "']").attr("default");
                $("track").hide();

            }

            function checkVideo() {
                //show progress if video is loading

                if (window["oneTwo"] == 1) {
                    window["oneTwo"] = 2;
                } else {
                    window["oneTwo"] = 1;
                }
                $("video").each(function(videoIndex) {
                    var videoId = $(this).attr("id");
                    var myVideo = document.getElementById(videoId);
                    if (myVideo.paused) {
                        //console.log("Paused");
                    } else {
                        //console.log(myVideo.currentTime);
                        currentTime1 = 0;
                        currentTime2 = 0;
                        window["currentTime" + oneTwo] = myVideo.currentTime;
                        //console.log("1: "+currentTime1);
                        //console.log("2: "+currentTime2);
                        if (currentTime1 == currentTime2) {
                            console.log("show preloader");
                            $(".vjs-loading-spinner").show();
                        } else {
                            $(".vjs-loading-spinner").hide();
                        }
                    }
                });
            }

            /*$("#submit").on("touchend click", function() {
                $('html, body').animate({ scrollTop: $(document).height() }, 800);
                return false;
            });*/


        },

        loaded: function() {

        }

    });
}());
