(function(){
    window.bazingaApp.views.quizView = window.bazingaApp.views.abstractModuleView.extend({
        ref : 'quiz.html',
        
        loaded: function(){

            // show console.log output in dev, false for prod
            var gaConsole = true;

            function gaConsoleMsg(msg){
                if (gaConsole){
                    window.console && console.log(msg);
                }
            }

            function sendAnswer(eCat, eAct, eLabel){
                // check truthys
                if( eCat && eAct && eLabel){
                    // type conversion for data hygiene, possibly too simplistic
                    var a = String(eCat),
                        b = String(eAct),
                        c = String(eLabel);

                    gaConsoleMsg("Sending event: " + a + " | " + b + " | " + c  );

                    ga('send', 'event', {
                        'eventCategory': a,
                        'eventAction': b,
                        'eventLabel': c,
                        'dimension3': getTimeStamp(), //get new timestamp as event happens
                        'hitCallback' : function(){
                            gaConsoleMsg("GA Event received " + b)
                        }
                    });
                }
            }

            // Pre-Completion: group of single radio buttons - 1 submission of 5 events, simple loop
            $('.button[type=submit]').on('touchend click', function(e){
                // this will queue and send 5 HTTP requests in succession which could be issue at scale
                // may  need to waiting for callbacks before page exit to be safe?
                // See: https://developers.google.com/analytics/devguides/collection/analyticsjs/sending-hits#knowing_when_the_hit_has_been_sent
                
				$("#feedback1").show();
                $("#feedback1").css("min-height","68px");
				
				$.each($('input[type=radio]:checked'), function(){
                    var q = $(this).attr('name'),
                        a = $(this).attr('value');
                    sendAnswer('Answer', q, a);
                });

                $(".feedback").show();
                window.bazingaApp.models.api.setPageCompletion('completed');
                window.bazingaApp.models.api.setPageScore(100);
				window.scrollTo(0,document.body.scrollHeight);
            })
        }
    });

    window.pageIntialized= false;
    $(document).ready(function(){
        window.bazingaApp.quizView = new  window.bazingaApp.views.quizView();
        window.bazingaApp.quizView.load();
    });
}());
